package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 激活状态 (0.未激活，1.已激活)枚举类
*
* @author zxfei
*/
public enum ActiveEnum {
    未激活(0, "未激活"),
    已激活(1, "已激活");
    private Integer value;
    private String desc;

    ActiveEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ActiveEnum getByValue(Integer value) {
        for (ActiveEnum activeEnum : ActiveEnum.values()) {
            if (activeEnum.getValue() == value) {
                return activeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ActiveEnum item : ActiveEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}